#version 460

#ifndef IS_IRIS
	#error This shader pack requires Iris: https://irisshaders.net/
#endif

out vec2 texCoord;

in vec3 vaPosition;
in vec2 vaUV0;
uniform mat4 projectionMatrix;

void main() {
	gl_Position = projectionMatrix * vec4(vaPosition, 1.0);

	texCoord = vaUV0;
}